--- a/arch/arm/boot/dts/kirkwood-sheevaplug-common.dtsi
+++ b/arch/arm/boot/dts/kirkwood-sheevaplug-common.dtsi
@@ -78,13 +78,8 @@
 	};
 
 	partition@100000 {
-		label = "uImage";
-		reg = <0x0100000 0x400000>;
-	};
-
-	partition@500000 {
-		label = "root";
-		reg = <0x0500000 0x1fb00000>;
+		label = "ubi";
+		reg = <0x0100000 0x1ff00000>;
 	};
 };
 
--- a/arch/arm/boot/dts/kirkwood-sheevaplug.dts
+++ b/arch/arm/boot/dts/kirkwood-sheevaplug.dts
@@ -13,6 +13,13 @@
 	model = "Globalscale Technologies SheevaPlug";
 	compatible = "globalscale,sheevaplug", "marvell,kirkwood-88f6281", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_health;
+		led-failsafe = &led_health;
+		led-running = &led_health;
+		led-upgrade = &led_health;
+	};
+
 	ocp@f1000000 {
 		mvsdio@90000 {
 			pinctrl-0 = <&pmx_sdio>;
@@ -28,10 +35,10 @@
 		pinctrl-0 = <&pmx_led_blue &pmx_led_red>;
 		pinctrl-names = "default";
 
-		health {
+		led_health: health {
 			label = "sheevaplug:blue:health";
 			gpios = <&gpio1 17 GPIO_ACTIVE_LOW>;
-			default-state = "keep";
+			default-state = "on";
 		};
 
 		misc {
